MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0031135Open CASCADE[OCCT] OCCT:Visualizationpublic2019-11-06 16:562019-11-10 11:41
Reporterkgv 
Assigned Tobugmaster 
PrioritynormalSeveritytrivial 
StatusverifiedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 7.5.0* 
Target Version[OCCT] 7.5.0*Fixed in Version 
Summary0031135: Visualization, TKOpenGl - texture sRGB -> linear conversion is applied twice by Path Tracer
DescriptionPath Tracing GLSL program has sRGB -> linear conversion code which has not been removed in scope of 0029528.
Steps To Reproduce
test v3d raytrace sample_ball_alpha 1
vtexture ball 11
vfps
TagsNo tags attached.
Test case numberv3d/raytrace/sample_ball_wood
Attached Filespng file icon ball_wood_master_KO.png (224,187 bytes) 2019-11-06 16:56
png file icon ball_wood_740_OK.png (244,679 bytes) 2019-11-06 16:57
png file icon ball_wood_patch_OK.png (245,629 bytes) 2019-11-06 16:57

- Relationships
child of 0029528verifiedapn Visualization, TKOpenGl - allow defining sRGB textures 

-  Notes
(0088753)
git (administrator)
2019-11-06 17:00

Branch CR31135 has been created by kgv.

SHA-1: 3d6c7458d4a5a83b4f5782fa38039b0696ea37bb


Detailed log of new commits:

Author: kgv
Date: Wed Nov 6 16:59:27 2019 +0300

    0031135: Visualization, TKOpenGl - texture sRGB -> linear conversion is applied twice by Path Tracer
    
    Removed from PathtraceBase.fs redundant gamma correction applied to texture.
(0088755)
kgv (developer)
2019-11-06 18:28

Please raise the patch.
(0088770)
bugmaster (administrator)
2019-11-07 10:48

Tested in framework of WEEK-45

Combination -
OCCT branch : WEEK-45
master SHA - a1a9b249523438cf9b3d510fb4ff74bd4a5675b6
5f5b1aed1c6e139bbd34314eca77ae7abcd8895c
Products branch : WEEK-45 SHA - f88bc93e3637c4c42f3c154c0b0e167d4e297ae6
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 16844.70000000007 / 16848.430000000117 [-0.02%]
Products
Total CPU difference: 10837.970000000065 / 10873.690000000062 [-0.33%]
Windows-64-VC14:
OCCT
Total CPU difference: 18366.671875 / 18319.515625 [+0.26%]
Products
Total CPU difference: 12848.578125 / 12848.859375 [-0.00%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention
(0088835)
git (administrator)
2019-11-10 11:41

Branch CR31135 has been deleted by inv.

SHA-1: 3d6c7458d4a5a83b4f5782fa38039b0696ea37bb

- Related Changesets
occt: master a1a9b249
Timestamp: 2019-11-06 13:59:27
Author: kgv
Committer: bugmaster
Details ] Diff ]
0031135: Visualization, TKOpenGl - texture sRGB -> linear conversion is applied twice by Path Tracer

Removed from PathtraceBase.fs redundant gamma correction applied to texture.
mod - src/Shaders/PathtraceBase.fs Diff ] File ]
mod - src/Shaders/Shaders_PathtraceBase_fs.pxx Diff ] File ]
add - tests/v3d/raytrace/sample_ball_wood Diff ] File ]

- Issue History
Date Modified Username Field Change
2019-11-06 16:56 kgv New Issue
2019-11-06 16:56 kgv Assigned To => kgv
2019-11-06 16:56 kgv File Added: ball_wood_master_KO.png
2019-11-06 16:57 kgv File Added: ball_wood_740_OK.png
2019-11-06 16:57 kgv File Added: ball_wood_patch_OK.png
2019-11-06 17:00 git Note Added: 0088753
2019-11-06 17:02 kgv Relationship added child of 0029528
2019-11-06 18:28 kgv Note Added: 0088755
2019-11-06 18:28 kgv Assigned To kgv => bugmaster
2019-11-06 18:28 kgv Severity minor => trivial
2019-11-06 18:28 kgv Status new => resolved
2019-11-06 18:28 kgv Status resolved => reviewed
2019-11-07 10:48 bugmaster Note Added: 0088770
2019-11-07 10:48 bugmaster Status reviewed => tested
2019-11-07 10:48 bugmaster Test case number => v3d/raytrace/sample_ball_wood
2019-11-10 11:18 bugmaster Changeset attached => occt master a1a9b249
2019-11-10 11:18 bugmaster Status tested => verified
2019-11-10 11:18 bugmaster Resolution open => fixed
2019-11-10 11:41 git Note Added: 0088835


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker